Loading...
Searching...
No Matches
Magick::raiseImage Class Reference

## Public Member Functions

| raiseImage (const Geometry &geometry_=raiseGeometryDefault, const bool raisedFlag_=false)
void | operator() (Image &image_) const

## Private Attributes

Geometry | _geometry
bool | _raisedFlag

## Detailed Description

Definition at line 844 of file STL.h.

## Constructor & Destructor Documentation

## raiseImage()

Magick::raiseImage::raiseImage | ( | const Geometry & | geometry_ = raiseGeometryDefault,
|  | const bool | raisedFlag_ = false )

Definition at line 779 of file STL.cpp.

: _geometry( geometry_ ),
_raisedFlag( raisedFlag_ )
{
}

## Member Function Documentation

## operator()()

void Magick::raiseImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 785 of file STL.cpp.

{
image_.raise( _geometry, _raisedFlag );
}

## Field Documentation

## _geometry

Geometry Magick::raiseImage::_geometry

private

Definition at line 853 of file STL.h.

## _raisedFlag

bool Magick::raiseImage::_raisedFlag

private

Definition at line 854 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp